## net.i2p.data.i2np
Class TunnelSessionKey

    java.lang.Object
      net.i2p.data.DataStructureImpl
          net.i2p.data.i2np.TunnelSessionKey

All Implemented Interfaces:
  DataStructure

    public class TunnelSessionKey

extends DataStructureImpl

Contains the session key used by the tunnel gateway to encrypt the DeliveryInstructions and used by the tunnel end point to decrypt those instructions.

Author:
  jrandom

Constructor Summary
`TunnelSessionKey()`
`TunnelSessionKey(SessionKey key)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`SessionKey` `getKey()`
`int` `hashCode()`
`void` `readBytes(java.io.InputStream in)` Load up the current object with data from the given stream.
`void` `setKey(SessionKey key)`
`java.lang.String` `toString()`
`void` `writeBytes(java.io.OutputStream out)` Write out the data structure to the stream, using the format defined in the I2P data structure specification.

Methods inherited from class net.i2p.data.DataStructureImpl
`calculateHash, fromBase64, fromByteArray, read, toBase64, toByteArray`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TunnelSessionKey

    public TunnelSessionKey()

### TunnelSessionKey

    public TunnelSessionKey(SessionKey key)

Method Detail

### getKey

    public SessionKey getKey()

### setKey

    public void setKey(SessionKey key)

### readBytes

    public void readBytes(java.io.InputStream in)
                   throws DataFormatException,
                          java.io.IOException

  Description copied from interface: `DataStructure`
  Load up the current object with data from the given stream. Data loaded this way must match the I2P data structure specification.

  Parameters:
    `in` - stream to read from
  Throws:
    `DataFormatException` - if the data is improperly formatted
    `java.io.IOException` - if there was a problem reading the stream

### writeBytes

    public void writeBytes(java.io.OutputStream out)
                    throws DataFormatException,
                           java.io.IOException

  Description copied from interface: `DataStructure`
  Write out the data structure to the stream, using the format defined in the I2P data structure specification.

  Parameters:
    `out` - stream to write to
  Throws:
    `DataFormatException` - if the data was incomplete or not yet ready to be written
    `java.io.IOException` - if there was a problem writing to the stream

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`